#!/bin/bash
#
# File to actually install the software
# copy main prog

mkdir -p $DESTDIR/man/man8

cp -a f-prot_gui/* $DESTDIR/bin

# remove old installation
rm -rf $DESTDIR/f-prot

# copy new ...
cp -a f-prot $DESTDIR/f-prot

# Make starter links
ln -fs $DESTDIR/f-prot/f-prot.sh $DESTDIR/bin/f-prot
ln -fs $DESTDIR/f-prot/tools/check-updates.pl $DESTDIR/bin/check-updates.pl
ln -fs $DESTDIR/f-prot/man8/f-prot.8 $DESTDIR/man/man8/
ln -fs $DESTDIR/f-prot/man8/check-updates.pl.8 $DESTDIR/man/man8/

# Fix pathes
perl -pi -e 's|/usr/local/f-prot/|'$DESTDIR'/f-prot/|g' $DESTDIR/f-prot/f-prot.sh

perl -pi -e 's|/usr/local/f-prot/|'$DESTDIR'/f-prot/|g' $DESTDIR/f-prot/tools/check-updates.pl

cat << EOF > $DESTDIR/bin/f-prot-autoscan
#!/bin/bash

# Mount all partitions 
for i in \$(cat /etc/fstab | grep -v "#" | awk '{ print \$2}' | egrep "hd|sd"); do sudo mount -o ro \$i; done 

# Run f-prot 
f-prot  \$(cat /etc/fstab | grep -v "#" | awk '{ print \$2}' | egrep "hd|sd") -all -ai -archive -dumb -packed -list -report=/virus.txt 
 
# Unmount them 
for i in \$(cat /etc/fstab | grep -v "#" | awk '{ print \$2}' | egrep "hd|sd"); do sudo umount \$i; done 
EOF

chmod 755 $DESTDIR/bin/f-prot-autoscan
